<?php
/********************************************************
* Enhanced About Page
* Version: 0.01  
* Official support: n/a
* Founder: Lucas-ruroken & Vicram10
* Date: 2010
/**********************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

	
function EnhancedAboutPage()
{
	global $txt, $eap, $modSettings, $context, $smcFunc;
	
	//Load The Current Template
	loadTemplate('EnhancedAboutPage');
	
	//Load our language ;)
	if(loadLanguage('EAP') == false)
		loadLanguage('EAP','english');
	
	if(empty($modSettings['eap_enable']))
		fatal_lang_error('eap_error_module_not_active',false);
	
	//Load our Settings
	eap_loadSettings();
	
	//Load Buttons
	load_EapButtons();
	
	if(empty($_REQUEST['sa']))
	{
		$eap_default = $modSettings['eap_default_page'];
		
		//Load the default page
		if($eap_default == 'us')
			EapLoadUs();
		elseif($eap_default == 'our-team')
			EapLoadOurTeam();
		else
			EapLoadAnother($eap_default);
	}
	else
	{
		$eap_default = $smcFunc['htmlspecialchars']($_REQUEST['sa']);
		
		//Load the default page
		if($eap_default == 'us')
			EapLoadUs();
		elseif($eap_default == 'our-team')
			EapLoadOurTeam();
		else
			EapLoadAnother($eap_default);
	}
		
}

function EapLoadUs()
{
	global $context, $txt, $eap, $modSettings, $scripturl;
	
	if(empty($eap['eap_about_enable']))
		fatal_lang_error('eap_error_page_not_active',false);
	
	//The Active Button
	$context['buttons_array']['about_us']['active'] = true;
	
	$context['about'] = array(
		'subject' => $txt['eap_about_us'],
		'style_title' => $eap['eap_about_style_title'],
		'style_body' => $eap['eap_about_style_body'],
		'type' => $eap['eap_about_type'],
		'body' => $eap['eap_about_text'],
	);
	
	$context['sub_template'] = 'eap_about_us';
	$context['page_title'] = $txt['eap_about_us'];
	
	$about = $modSettings['eap_default_page'] == 'us' ? '' : ';sa=us';
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=about'.$about,
		'name' => $context['about']['subject'],
	);
	
	
	
}

function EapLoadOurTeam()
{
	global $eap, $txt, $context, $smcFunc, $scripturl, $modSettings, $settings;
	
	if(empty($eap['eap_team_enable']) || empty($eap['eap_team_groups_toshow']))
		fatal_lang_error('eap_error_page_not_active',false);
	
	$context['load_groups'] = loadEapMembers();
	
	
	$context['page_title'] = $txt['eap_team_page'];
	$context['sub_template'] = 'eap_our_team';
	
	//The f linktree
	$about = $modSettings['eap_default_page'] == 'our-team' ? '' : ';sa=our-team';
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=about'.$about,
		'name' => $txt['eap_team_page'],
	);
	
	//The Active Button
	$context['buttons_array']['about_team']['active'] = true;
	
}

function loadEapCurrent()
{
	//DO NOT REMOVE THIS ;)
	$base = 
'PGJyIC8+PGJyIC8+PGRpdiBjbGFzcz0ic21hbGx0ZXh0IiBhbGlnbj0iY2VudGVyIj48YSBocmVmPSJodHRwOi8vd3d3LnNtZnBlcnNvbmFsLm5ldCIgdGFyZ2V0PSJfYmxhbmsiPkVuaGFuY2VkIGFib3V0IHBhZ2UgYnkgQWRrIFRlYW08L2E+PC9kaXY+';
	$base = base64_decode($base);
	
	echo $base;
}

function EapLoadAnother($sa_url)
{
	global $context, $txt, $scripturl, $modSettings;
	
	//Load Page
	load_EapPage($sa_url,1);
	
	if(!$context['about']['enable'])
		fatal_lang_error('eap_error_page_not_active',false);
	
	//The Active Button
	$context['buttons_array'][$sa_url]['active'] = true;
	
	$context['sub_template'] = 'eap_about_us';
	$context['page_title'] = $context['about']['subject'];
	
	$sa = ';sa='.$sa_url;
	$about = $modSettings['eap_default_page'] == $sa_url ? '' : $sa;
	
	$context['linktree'][] = array(
		'url' => $scripturl . '?action=about'.$about,
		'name' => $context['about']['subject'],
	);
	
}

//Hi! :| The Admin section
function Eap_Admin()
{
	global $txt, $context, $eap;
	
	//Load The Current Template
	loadTemplate('EnhancedAboutPage');
	
	//Load our language ;)
	if(loadLanguage('EAP') == false)
		loadLanguage('EAP','english');
		
	$subActions = array(
		'main' => 'Eap_AdminMain',
		'settings' => 'Eap_AdminSettings',
		'savesettings' => 'Eap_AdminSaveSettings',
		'create' => 'Eap_AdminCreate',
		'editpage' => 'Eap_AdminEditPage',
		'saveeditpage' => 'Eap_AdminSaveEditPage',
		'deletepage' => 'Eap_AdminDeletePage',
		'demopage' => 'Eap_AdminDemoPage',
		'manage' => 'Eap_AdminManage',
		'savemanage' => 'Eap_AdminSaveManage',
	);
	
	//Load our Settings
	eap_loadSettings();
	
	//Buttons Section
	$context[$context['admin_menu_name']]['tab_data'] = array(
		'title' => $txt['eap_principal_title'],
		'description' => '',
		'tabs' => array(
			'main' => array(
				'description' => $txt['eap_description_1'],
			),
			'settings' => array(
				'description' => $txt['eap_description_2'],
			),
			'create' => array(
				'description' => $txt['eap_description_3'],					
			),
			'manage' => array(
				'description' => $txt['eap_description_4'],
			),
		),
	);
	
	if (!empty($_GET['sa']) && !empty($subActions[$_GET['sa']]))
		$subActions[@$_GET['sa']]();
	else
		$subActions['main']();
		
}

function Eap_AdminMain()
{
	global $context, $txt;
	
	$context['sub_template'] = 'eap_admin_main';
	$context['page_title'] = $txt['eap_news_'];
	
	//mmm...
	$load = loadInfoAnotherFunction();
	
	//Important info for this page :D
	$context['current_version'] = $load['version'];
	$context['your_news'] = $load['news'];
	$context['your_version'] = '0.02';
	
	//Color :|
	$context['colorToShow'] = $context['your_version'] == $context['current_version'] ? 'green' : 'red';
	
	
}

function Eap_AdminSettings()
{
	global $context, $txt, $sourcedir, $eap, $smcFunc;
	
	checkSession('get');
	
	$context['sub_template'] = 'eap_admin_settings';
	$context['page_title'] = $txt['eap_admin_manage_s'];
	
	//LoadGroups
	$context['load_eap_mg'] = eap_load_membergroups();
	
	//Load Editor
	require_once($sourcedir . '/Subs-Editor.php');
	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => $eap['eap_about_text'],
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];
	
	//Pages
	$sql = $smcFunc['db_query']('','
		SELECT subject, sa_url
		FROM {db_prefix}eap_pages
		WHERE enable = {int:enable}
		ORDER BY subject',
		array(
			'enable' => 1,
		)
	);
	
	$context['list_pages'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$context['list_pages'][$row['subject']] = $row['sa_url'];
	
	$smcFunc['db_free_result']($sql);
	
}

function Eap_AdminSaveSettings()
{
	global $context, $sourcedir, $smcFunc;
	
	checkSession('post');
	
	//First Update The ModSettings
	$eap_enable = !empty($_POST['eap_enable']) ? 1 : 0;
	$eap_default_page = $smcFunc['htmlspecialchars'](stripslashes($_POST['eap_default_page']));
	
	updateSettings(
		array(
			'eap_default_page' => $eap_default_page,
			'eap_enable' => $eap_enable,
		)
	);
	
	//Now... Update the EapSettings
	//Team
	$eap_team_enable = !empty($_POST['eap_team_enable']) ? 1 : 0;
	if(!empty($_POST['eap_team_groups_toshow']))
	{	
		$eap_team_groups_toshow = array_keys($_POST['eap_team_groups_toshow']);
		$eap_team_groups_toshow = implode(',',$eap_team_groups_toshow);
	}
	else
		$eap_team_groups_toshow = '';
	
	$eap_team_style_body = (int)$_POST['eap_team_style_body'];
	$eap_team_style_title = (int)$_POST['eap_team_style_title'];
	//About
	$eap_about_enable = !empty($_POST['eap_about_enable']) ? 1 : 0;
	$eap_about_type = $smcFunc['htmlspecialchars'](stripslashes($_POST['eap_about_type']));
	
	require_once($sourcedir . '/Subs-Editor.php');
	if (!empty($_REQUEST['descript_mode']) && isset($_REQUEST['descript']))
	{
		$_REQUEST['descript'] = html_to_bbc($_REQUEST['descript']);
		// We need to unhtml it now as it gets done shortly.
		$_REQUEST['descript'] = un_htmlspecialchars($_REQUEST['descript']);
	}
	
	$eap_about_text = $smcFunc['htmlspecialchars'](stripslashes($_REQUEST['descript']));
	$eap_about_style_body = (int)$_POST['eap_about_style_body'];
	$eap_about_style_title = (int)$_POST['eap_about_style_title'];
	
	EapUpdateSettings(
		array(
			'eap_team_enable' => $eap_team_enable,
			'eap_team_groups_toshow' => $eap_team_groups_toshow,
			'eap_team_style_body' => $eap_team_style_body,
			'eap_team_style_title' => $eap_team_style_title,
			'eap_about_enable' => $eap_about_enable,
			'eap_about_type' => $eap_about_type,
			'eap_about_text' => $eap_about_text,
			'eap_about_style_body' => $eap_about_style_body,
			'eap_about_style_title' => $eap_about_style_title,
		)
	);
	
	redirectexit('action=admin;area=eap_admin;sa=settings;'.$context['session_var'].'='.$context['session_id']);
	
}

function Eap_AdminCreate()
{
	if(empty($_POST['save']) && empty($_POST['preview']))
		checkSession('get');
	
	global $context, $txt, $sourcedir, $smcFunc;
	
	//Requires
	require_once($sourcedir . '/Subs-Editor.php');
	
	//It's not a preview
	$context['preview_page'] = false;
	
	if(!empty($_POST['preview']) || !empty($_POST['save']))
	{
		checkSession('post');
		
		if (!empty($_REQUEST['descript_mode']) && isset($_REQUEST['descript']))
		{
			$_REQUEST['descript'] = html_to_bbc($_REQUEST['descript']);
			// We need to unhtml it now as it gets done shortly.
			$_REQUEST['descript'] = un_htmlspecialchars($_REQUEST['descript']);
		}
		
		$context['about'] = array(
			'subject' => $smcFunc['htmlspecialchars'](stripslashes($_POST['subject'])),
			'sa_url' => $smcFunc['htmlspecialchars'](stripslashes($_POST['sa_url'])),
			'type' => !empty($_POST['type']) ? $smcFunc['htmlspecialchars'](stripslashes($_POST['type'])) : 'bbc',
			'body' => $smcFunc['htmlspecialchars'](stripslashes($_REQUEST['descript'])),
			'enable' => !empty($_POST['enable']) ? 1 : 0,
			'style_body' => (int)$_POST['style_body'],
			'style_title' => (int)$_POST['style_title'],
		);
		
		$context['preview_page'] = true;
		
		if(!empty($_POST['save']))
		{
			//Check everything ^^
			if(empty($context['about']['subject']))
				fatal_lang_error('eap_error_subject',false);
			
			if(empty($context['about']['sa_url']))
				fatal_lang_error('eap_error_sa_url',false);
			
			if(empty($context['about']['body']))
				fatal_lang_error('eap_error_body',false);
			
			//Check if this url exist
			check_if_page_exist($context['about']['sa_url'],'add');
			
			//I don't know -.-
			$smcFunc['db_insert']('insert',
				'{db_prefix}eap_pages',
				array(
					'subject' => 'text',
					'sa_url' => 'text',
					'type' => 'text',
					'body' => 'text',
					'enable' => 'int',
					'style_body' => 'int',
					'style_title' => 'int',
				),
				array(
					$context['about']['subject'],
					$context['about']['sa_url'],
					$context['about']['type'],
					$context['about']['body'],
					$context['about']['enable'],
					$context['about']['style_body'],
					$context['about']['style_title'],
				),
				array('id_page')
			);
			//Cambiar esto por la admin de paginas
			redirectexit('action=admin;area=eap_admin;sa=manage;'.$context['session_var'].'='.$context['session_id']);
		
		}
	}
		

	
	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => isset($context['about']['body']) ? $context['about']['body'] : '',
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];
	
	
	$context['sub_template'] = 'eap_admin_create';
	$context['page_title'] = $txt['eap_create_page'];
	
}

function Eap_AdminManage()
{
	global $context, $smcFunc, $txt;
	
	//CheckSession
	checkSession('get');
	
	//Title and subtemplate
	$context['sub_template'] = 'eap_admin_manage';
	$context['page_title'] = $txt['eap_admin_manage2'];
	
	//List all pages
	$sql = $smcFunc['db_query']('','
		SELECT id_page, subject, sa_url, enable, page_order
		FROM {db_prefix}eap_pages
		ORDER BY page_order ASC'
	);
	
	$context['list_pages'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$context['list_pages'][] = array(
			'id' => $row['id_page'],
			'subject' => $row['subject'],
			'sa_url' => $row['sa_url'],
			'enable' => !empty($row['enable']),
			'page_order' => $row['page_order'],
		);
	
	//Libero los datos ^o\
	$smcFunc['db_free_result']($sql);
	
}

function Eap_AdminSaveManage()
{
	checkSession('post');
	
	global $context, $smcFunc;
	
	if(!empty($_POST['id_page']))
	{
		$enable = $_POST['enable'];
		$page_order = $_POST['page_order'];
		$id_page = $_POST['id_page'];
		
		$i = 0;
		$count = count($id_page);
		
		while($i < $count)
		{
			$enable[$i] = (int)$enable[$i];
			$page_order[$i] = (int)$page_order[$i];
			$id_page[$i] = (int)$id_page[$i];
			
			//Update
			$smcFunc['db_query']('','
				UPDATE {db_prefix}eap_pages
				SET
				enable = {int:enable},
				page_order = {int:page_order}
				WHERE id_page = {int:id_page}',
				array(
					'enable' => $enable[$i],
					'page_order' => $page_order[$i],
					'id_page' => $id_page[$i],
				)
			);
			//$i + 1
			$i++;
		}
	}
	
	redirectexit('action=admin;area=eap_admin;sa=manage;'.$context['session_var'].'='.$context['session_id']);
	
}

function Eap_AdminDeletePage()
{
	global $context, $smcFunc;
	
	checkSession('get');
	
	if(!empty($_REQUEST['id']))
		$id = (int)$_REQUEST['id'];
	else
		$id = 0;
	
	$smcFunc['db_query']('','
		DELETE FROM {db_prefix}eap_pages 
		WHERE id_page = {int:id_page}',
		array(
			'id_page' => $id,
		)
	);
	
	
	redirectexit('action=admin;area=eap_admin;sa=manage;'.$context['session_var'].'='.$context['session_id']);
}

function Eap_AdminDemoPage()
{
	global $context, $smcFunc, $txt;
	
	checkSession('get');
	
	$context['page_title'] = $txt['eap_preview_title'];
	$context['sub_template'] = 'eap_admin_demo_page';
	
	if(!empty($_REQUEST['id']) && is_numeric($_REQUEST['id']))
		$id_page = (int)$_REQUEST['id'];
	else
		fatal_lang_error('eap_error_id_invalid',false);
	
	load_EapPage($id_page);
	
	if(empty($context['about']))
		fatal_lang_error('eap_error_id_invalid',false);
	
}

function Eap_AdminEditPage()
{
	global $context, $smcFunc, $txt, $sourcedir;
	
	checkSession('get');
	
	$context['page_title'] = $txt['eap_edit__title'];
	$context['sub_template'] = 'eap_admin_edit_page';
	
	if(!empty($_REQUEST['id']) && is_numeric($_REQUEST['id']))
		$id_page = (int)$_REQUEST['id'];
	else
		fatal_lang_error('eap_error_id_invalid',false);
	
	
	load_EapPage($id_page);
	
	if(empty($context['about']))
		fatal_lang_error('eap_error_id_invalid',false);
	
	//Load the editor
	require_once($sourcedir . '/Subs-Editor.php');
	
	// Now create the editor.
	$editorOptions = array(
		'id' => 'descript',
		'value' => isset($context['about']['body']) ? $context['about']['body'] : '',
		'width' => '97%',
		'form' => 'picform',
		'labels' => array(
			'post_button' => '',
		),
	);
	
	create_control_richedit($editorOptions);
	$context['post_box_name'] = $editorOptions['id'];
		
}

function Eap_AdminSaveEditPage()
{
	global $context, $smcFunc, $sourcedir;
	
	checkSession('post');
	require_once($sourcedir . '/Subs-Editor.php');
	if (!empty($_REQUEST['descript_mode']) && isset($_REQUEST['descript']))
	{
		$_REQUEST['descript'] = html_to_bbc($_REQUEST['descript']);
		// We need to unhtml it now as it gets done shortly.
		$_REQUEST['descript'] = un_htmlspecialchars($_REQUEST['descript']);
	}
		
	$context['about'] = array(
		'id_page' => (int)$_POST['id_page'],
		'subject' => $smcFunc['htmlspecialchars'](stripslashes($_POST['subject'])),
		'sa_url' => $smcFunc['htmlspecialchars'](stripslashes($_POST['sa_url'])),
		'type' => !empty($_POST['type']) ? $smcFunc['htmlspecialchars'](stripslashes($_POST['type'])) : 'bbc',
		'body' => $smcFunc['htmlspecialchars'](stripslashes($_REQUEST['descript'])),
		'enable' => !empty($_POST['enable']) ? 1 : 0,
		'style_body' => (int)$_POST['style_body'],
		'style_title' => (int)$_POST['style_title'],
	);
	
	//Check everything again^^
	if(empty($context['about']['subject']))
		fatal_lang_error('eap_error_subject',false);
	
	if(empty($context['about']['sa_url']))
		fatal_lang_error('eap_error_sa_url',false);
	
	if(empty($context['about']['body']))
		fatal_lang_error('eap_error_body',false);
	
	//Check if this url exist
	check_if_page_exist($context['about']['sa_url'],'edit');
	
	$smcFunc['db_query']('','
		UPDATE {db_prefix}eap_pages
		SET 
		subject = {string:subject},
		sa_url = {string:sa_url},
		type = {string:type},
		body = {text:body},
		enable = {int:enable},
		style_body = {int:style_body},
		style_title = {int:style_title}
		WHERE id_page = {int:id_page}',
		array(
			'subject' => $context['about']['subject'],
			'sa_url' => $context['about']['sa_url'],
			'type' => $context['about']['type'],
			'body' => $context['about']['body'],
			'enable' => $context['about']['enable'],
			'style_body' => $context['about']['style_body'],
			'style_title' => $context['about']['style_title'],
			'id_page' => $context['about']['id_page'],
		)
	);
	
	
	redirectexit('action=admin;area=eap_admin;sa=manage;'.$context['session_var'].'='.$context['session_id']);

}

function loadInfoAnotherFunction()
{
	global $sourcedir;
	
	//Require
	require_once($sourcedir.'/Subs-Package.php');
	
    $load['news'] = fetch_web_data("http://www.smfpersonal.net/news/enhanced_news.txt");
	$load['version'] = fetch_web_data("http://www.smfpersonal.net/news/enhanced_version.txt");
    
	return $load;
}

function eap_load_membergroups()
{
	global $smcFunc, $context;
	
	$sql = $smcFunc['db_query']('','
		SELECT id_group, group_name
		FROM {db_prefix}membergroups
		WHERE min_posts = {int:post} AND id_group <> {int:moderator}',
		array(
			'post' => -1,
			'moderator' => 3,
		)
	);
	
	$context['load_eap_mg'] = array();
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$context['load_eap_mg'][$row['id_group']] = $row['group_name'];
	
	$smcFunc['db_free_result']($sql);
	
	return $context['load_eap_mg'];
}
function parse_bbc_html_php($type, $body)
{
	
	if ($type == 'bbc')
		echo parse_bbc($body);
	elseif ($type == 'html')
		echo un_htmlspecialchars($body);
	elseif ($type == 'php')
	{	
		$body = un_htmlspecialchars($body);
		$body = trim($body);
		$body = trim($body, '<?php');
		$body = trim($body, '');
		eval($body);
	}
}

function check_if_page_exist($sa_url, $filter = 'add')
{
	global $smcFunc;
	
	if($sa_url == 'us' || $sa_url == 'our-team')
		fatal_lang_error('eap_error_this_page_exist',false);
	else
	{
		$sql = $smcFunc['db_query']('','
			SELECT sa_url
			FROM {db_prefix}eap_pages
		');
		
		
		$i = 0;
		while($row = $smcFunc['db_fetch_assoc']($sql))
		{
			if($sa_url == $row['sa_url'])
				$i++;
		}
		
		if($filter == 'add' && $i == 1)
			fatal_lang_error('eap_error_this_page_exist',false);
		elseif($filter == 'edit' && $i == 2)	
			fatal_lang_error('eap_error_this_page_exist',false);
		
		$smcFunc['db_free_result']($sql);
		
	}
				
	
}

function load_EapPage($id_page, $by_url = 0)
{
	global $context, $smcFunc;

	$context['about'] = array();
	
	$where = $by_url == 0 ? 'id_page = {int:id_page}' : 'sa_url = {text:id_page}';
	
	$sql = $smcFunc['db_query']('','
		SELECT id_page, enable, subject, sa_url, body, type, style_body, style_title
		FROM {db_prefix}eap_pages
		WHERE '.$where,
		array(
			'id_page' => $id_page,
		)
	);
	
	$row = $smcFunc['db_fetch_assoc']($sql);
	
	$context['about'] = array(
		'id_page' => $row['id_page'],
		'enable' => !empty($row['enable']),
		'subject' => $row['subject'],
		'sa_url' => $row['sa_url'],
		'body' => $row['body'],
		'type' => $row['type'],
		'style_body' => $row['style_body'],
		'style_title' => $row['style_title'],
	);
	
	$smcFunc['db_free_result']($sql);
	
}
	
//Function ReloadSettings
function eap_loadSettings()
{
	global $eap, $smcFunc;
	
	//$eap is an array :o
	$eap = array();
	
	$sql = $smcFunc['db_query']('','
		SELECT value, variable
		FROM {db_prefix}eap_settings
	');
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
		$eap[$row['variable']] = $row['value'];
	
	$smcFunc['db_free_result']($sql);
	
}

function EapUpdateSettings($array)
{
	global $smcFunc;
	
	if(!is_array($array))
		return;
	
	foreach($array AS $i => $v)
	{
		$smcFunc['db_query']('','
			UPDATE {db_prefix}eap_settings
			SET value = {string:value}
			WHERE variable = {string:variable}',
			array(
				'value' => $v,
				'variable' => $i,
			)
		);
	}
	
	
}

function load_EapButtons()
{
	global $eap, $modSettings, $context, $scripturl, $smcFunc;
	
	$eap_default = $modSettings['eap_default_page'];
	
	if(!empty($eap['eap_about_enable']))
		$context['eap_us'] = true;
	
	if(!empty($eap['eap_team_enable']))
		$context['eap_team'] = true;
	
	$about = $scripturl.'?action=about';
	$us = $eap_default == 'us' ? '' : ';sa=us';
	$team = $eap_default == 'our-team' ? '' : ';sa=our-team';
	$context['buttons_array']['about_us'] = array(
		'test' => 'eap_us', 
		'text' => 'eap_about_us', 
		'image' => '', 
		'lang' => true, 
		'url' => $about.$us, 
	);
	
	$context['buttons_array']['about_team'] = array(
		'test' => 'eap_team', 
		'text' => 'eap_team_page', 
		'image' => '', 
		'lang' => true, 
		'url' => $about.$team,
	);
	
	//Load the another buttons
	$sql = $smcFunc['db_query']('','
		SELECT sa_url, subject
		FROM {db_prefix}eap_pages
		WHERE enable = {int:enable}
		ORDER BY page_order ASC',
		array(
			'enable' => 1,
		)
	);
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		//All buttons actived
		$context['about_true'] = true;
		
		$url = ';sa='.$row['sa_url'];
		$as = $eap_default == $row['sa_url'] ? '' : $url;
		
		$context['buttons_array'][$row['sa_url']] = array(
			'test' => 'about_true', 
			'text' => $row['subject'], 
			'image' => '', 
			'lang' => false, 
			'eap' => true,
			'url' => $about.$as, 
		);
	}
	
	$smcFunc['db_free_result']($sql);
}

function loadEapMembers()
{
	global $scripturl, $smcFunc, $context, $eap, $modSettings, $settings;
	
	$sql = $smcFunc['db_query']('','
		SELECT mem.posts, mem.id_member, mem.real_name, mem.date_registered, 
		mem.website_url, mem.id_group, mem.website_title, mem.avatar,
		mg.online_color, mg.group_name, mg.id_group, mg.stars,
		IFNULL(a.id_attach, 0) AS id_attach, a.filename, a.attachment_type
		FROM {db_prefix}members AS mem
		LEFT JOIN {db_prefix}attachments AS a ON (a.id_member = mem.id_member)
		INNER JOIN {db_prefix}membergroups AS mg ON (mg.id_group = mem.id_group AND mg.id_group IN ({array_int:var}))
		ORDER BY mg.id_group, mem.id_member ASC',
		array(
			'var' => explode(',',$eap['eap_team_groups_toshow']),
		)
	);
	
	$context['load_groups'] = array();
	$width = 60;
	$height = 60;
	$members = array();
	
	$i = 0;
	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$stars = !empty($row['stars']) ? explode('#', $row['stars']) : '';
		$new = !empty($stars) ? str_repeat('<img alt="" src="'.$settings['images_url'].'/'.$stars[1].'" />',$stars[0]) : '';
		$load = !empty($new) ? '<div align="right">'.$new.'</div>' : '';
		
		$context['load_groups'][$row['id_group']] = array(
			'name' => $row['group_name'],
			'color' => $row['online_color'],
			'stars' => $load,
			'members' => array(),
		);
		
		$i++;
				
		$members[$row['id_member']] = array(
			'posts' => $row['posts'],
			'id_mem' => $row['id_member'],
			'name_user' => $row['real_name'],
			'url' => '<a href="'.$scripturl.'?action=profile;u='.$row['id_member'].'">'.$row['real_name'].'</a>',
			'date' => timeformat($row['date_registered'],false),
			'web_title' => $row['website_title'],
			'web_url' => $row['website_url'],
			'avatar' => $row['avatar'] == '' ? ($row['id_attach'] > 0 ? '<img width="'.$width.'" height="'.$height.'" src="' . (empty($row['attachment_type']) ? $scripturl . '?action=dlattach;attach=' . $row['id_attach'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) . '" alt="" class="avatar" border="0" />' : '') : (stristr($row['avatar'], 'http://') ? '<img width="'.$width.'" height="'.$height.'"src="' . $row['avatar'] . '" alt="" class="avatar" border="0" />' : '<img width="'.$width.'" height="'.$height.'"src="' . $modSettings['avatar_url'] . '/' . htmlspecialchars($row['avatar']) . '" alt="" class="avatar" border="0" />'),
			'id' => $row['id_group'],
			'stars' => $load,
			'color' => $row['online_color'],
			'name' => $row['group_name'],
			'i' => $i,
		);
	}
	
	foreach($members AS $id_group => $v)
	{
		$context['load_groups'][$v['id']]['members'][] = array(
			'posts' => $v['posts'],
			'id_mem' => $v['id_mem'],
			'name_user' => $v['name_user'],
			'url' => $v['url'],
			'date' => $v['date'],
			'web_title' => $v['web_title'],
			'web_url' => $v['web_url'],
			'avatar' => $v['avatar'],
			'id' => $v['id'],
			'stars' => $v['stars'],
			'color' => $v['color'],
			'name' => $v['name'],
			'i' => $v['i'],
		);
	}
			
	
	$smcFunc['db_free_result']($sql);
	
	return $context['load_groups'];
}
		
	
?>
	